summaryrefslogtreecommitdiff
path: root/scripts/safe_mysqld.sh
diff options
context:
space:
mode:
authorunknown <monty@donna.mysql.com>2000-09-22 01:46:26 +0300
committerunknown <monty@donna.mysql.com>2000-09-22 01:46:26 +0300
commit5f12486229fb578f2e170238ab2cdd7c9bf42a82 (patch)
tree578e79cb989b0a5458b2f7b7cd27600813a79432 /scripts/safe_mysqld.sh
parent5e955288bc695e2f7a92c5549c7753309b41bed7 (diff)
downloadmariadb-git-5f12486229fb578f2e170238ab2cdd7c9bf42a82.tar.gz
Fixes for MyISAM and packed keys + AIX
Docs/manual.texi: Updated changelog client/mysql.cc: Free all memory, even if we can't connect to the server include/config-win.h: Ensure that we don't use SAFE_MUTEX on windows include/my_pthread.h: Optimze struct for Ia64 include/myisam.h: Hack for debugging BIG tables myisam/mi_check.c: Hack for debugging BIG tables myisam/mi_search.c: Fixed bug in packed keys myisam/myisamchk.c: Hack for debugging BIG tables mysys/thr_mutex.c: Make safe_mutex safe for windows scripts/safe_mysqld.sh: Fix nice test and echo output sql/share/Makefile.am: Fix character sets sql/sql_string.cc: Fixes for AIX (which can't handle that the length argument is 0)
Diffstat (limited to 'scripts/safe_mysqld.sh')
-rw-r--r--scripts/safe_mysqld.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/scripts/safe_mysqld.sh b/scripts/safe_mysqld.sh
index 5a5f8dddb02..91d99c283f6 100644
--- a/scripts/safe_mysqld.sh
+++ b/scripts/safe_mysqld.sh
@@ -92,10 +92,10 @@ NOHUP_NICENESS="nohup"
if test -w /
then
NOHUP_NICENESS=`nohup nice`
- if test $? -ne 0 || test x"$NOHUP_NICENESS" = x0 || test ! nice --1 echo foo > /dev/null 2>&1; then
- NOHUP_NICENESS="nohup"
- else
+ if test $? -eq 0 && test x"$NOHUP_NICENESS" != x0 && nice --1 echo foo > /dev/null 2>&1; then
NOHUP_NICENESS="nice --$NOHUP_NICENESS nohup"
+ else
+ NOHUP_NICENESS="nohup"
fi
fi
@@ -193,4 +193,5 @@ do
echo "`date +'%y%m%d %H:%M:%S mysqld restarted'`" | tee -a $err_log
done
-echo -e "`date +'%y%m%d %H:%M:%S mysqld ended\n'`" | tee -a $err_log
+echo "`date +'%y%m%d %H:%M:%S mysqld ended\n'`" | tee -a $err_log
+echo "" | tee -a $err_log